=== debian/changelog ===
media-downloader-dmo (2.1.1-dmo0+deb11u2) oldstable; urgency=medium

  * Uses system yt-dlp

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Oct 2023 15:55:40 +0200

media-downloader-dmo (2.1.1-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Dec 2021 11:02:15 +0100

media-downloader-dmo (1.7.0-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Oct 2021 23:26:37 +0200

media-downloader-dmo (1.6.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Aug 2021 14:33:51 +0200

media-downloader-dmo (1.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Jul 2021 17:21:45 +0200

media-downloader-dmo (1.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Jun 2021 16:13:27 +0200

media-downloader-dmo (1.3.0-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 05 May 2021 11:04:20 +0200
