=== debian/control ===
Source: media-downloader-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/mhogomchungu/media-downloader
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qtbase5-dev, quilt

Package: media-downloader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yt-dlp
Description: yt-dlp Qt frontend.
 The GUI can be used to download any media supported by yt-dlp.
 .
 The GUI can show all available media a url can offer.
 .
 The GUI allows user to choose what media entry offered by a url they want
 to download.
 .
 The GUI offers a preset list of options to choose from to select what media
 entry offered by a url they want to download.
 .
 The GUI offers an ability to change preset options or add new ones making
 it possible to use the GUI to automate any use case supported by yt-dlp.
 .
 The GUI offers an ability to download single media or multiple medias in
 batches.
 .
 The GUI has a json based plugin system and can configured to download media
 using other tools other than yt-dlp.
