=== debian/changelog ===
media-downloader-dmo (3.1.0-dmo1+deb12u1) stable; urgency=medium

  * Uses system yt-dlp

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Oct 2023 15:38:48 +0200

media-downloader-dmo (3.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 Apr 2023 09:01:19 +0200

media-downloader-dmo (3.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Apr 2023 12:05:41 +0200

media-downloader-dmo (2.9.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * Required minimum version of yt-dlp is 2023.01.06

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Mar 2023 08:43:33 +0100

media-downloader-dmo (2.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Jan 2023 13:09:08 +0100

media-downloader-dmo (2.7.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 10 Nov 2022 13:12:50 +0100

media-downloader-dmo (2.6.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Oct 2022 13:17:01 +0200

media-downloader-dmo (2.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Aug 2022 08:38:19 +0200

media-downloader-dmo (2.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 01 Jul 2022 13:27:17 +0200

media-downloader-dmo (2.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 May 2022 09:32:10 +0200

media-downloader-dmo (2.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Mar 2022 00:40:45 +0100

media-downloader-dmo (2.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Jan 2022 10:03:46 +0100

media-downloader-dmo (2.1.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Dec 2021 09:08:38 +0100

media-downloader-dmo (2.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 01 Dec 2021 09:05:44 +0100

media-downloader-dmo (2.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 Nov 2021 15:34:07 +0100

media-downloader-dmo (1.9.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Oct 2021 07:56:21 +0200

media-downloader-dmo (1.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Oct 2021 09:27:40 +0200

media-downloader-dmo (1.7.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Oct 2021 23:12:07 +0200
