=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/mhogomchungu/media-downloader
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qtbase5-dev, quilt
 
 Package: media-downloader
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, yt-dlp
+Depends: ${shlibs:Depends}, ${misc:Depends}, yt-dlp (>= 1:2023.01.06~)
 Description: yt-dlp Qt frontend.
  The GUI can be used to download any media supported by yt-dlp.
  .
