## media-downloader-dmo 5.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
-cmake_minimum_required(VERSION 3.0.2)
+if(${CMAKE_VERSION} VERSION_GREATER "3.26")
+    cmake_minimum_required(VERSION 3.26.0)
+else()
+    cmake_minimum_required(VERSION 3.0.2)
+endif()
 
 project(media-downloader LANGUAGES CXX)
 
@@ -10,8 +14,8 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-set( PGR_VERSION "3.1.0" )
-set( COPYRIGHT_YEARS "2021-2023" )
+set( PGR_VERSION "5.4.2" )
+set( COPYRIGHT_YEARS "2021-2025" )
 
 INCLUDE(GNUInstallDirs)
 
@@ -24,7 +28,34 @@
     add_definitions(-std=c++14)
 endif()
 
-find_package(Qt5 COMPONENTS Core Widgets Network REQUIRED)
+option(BUILD_WITH_QT6 "Build with Qt 6" OFF)
+
+if(BUILD_WITH_QT6)
+    find_package(Qt6 COMPONENTS Core Widgets Network REQUIRED )
+    message("-- Building With Qt6")
+else()
+    find_package(Qt5 COMPONENTS Core QUIET)
+    if(Qt5_FOUND)
+        message("-- Building With Qt5")
+        set(BUILD_WITH_QT6 OFF)
+        find_package(Qt5 COMPONENTS Core Widgets Network REQUIRED)
+    else()
+        find_package(Qt6 COMPONENTS Core QUIET)
+        if(Qt6_FOUND)
+            message("-- Building With Qt6")
+            set(BUILD_WITH_QT6 ON)
+            find_package(Qt6 COMPONENTS Core Widgets Network REQUIRED)
+    else()
+        message( FATAL_ERROR "-- Failed to find Qt5 or Qt6")
+        endif()
+    endif()
+endif()
+
+if(BUILD_FLATPAK)
+    file( WRITE  ${PROJECT_BINARY_DIR}/flatpak.h "\n#define FLATPAK 1\n" )
+else()
+    file( WRITE  ${PROJECT_BINARY_DIR}/flatpak.h "\n#define FLATPAK 0\n" )
+endif()
 
 include_directories(${PROJECT_BINARY_DIR})
 
@@ -40,26 +71,15 @@
     src/mainwindow.ui
     src/logwindow.ui)
 
-if(Qt5Core_VERSION VERSION_LESS 5.4.0)
-    set(MOC_FILES
-        src/mainwindow.h
-        src/logwindow.h
-        src/basicdownloader.h
-        src/batchdownloader.h
-        src/configure.h
-        src/library.h
-        src/playlistdownloader.h
-        src/utils/single_instance.hpp)
-else()
-    set(MOC_FILES
-        src/mainwindow.h
-        src/logwindow.h
-        src/basicdownloader.h
-        src/batchdownloader.h
-        src/configure.h
-        src/library.h
-        src/playlistdownloader.h)
-endif()
+set(MOC_FILES
+    src/mainwindow.h
+    src/logwindow.h
+    src/basicdownloader.h
+    src/batchdownloader.h
+    src/configure.h
+    src/library.h
+    src/playlistdownloader.h
+    src/utils/single_instance.hpp)
 
 set(SRC
     src/mainwindow.cpp
@@ -67,8 +87,10 @@
     src/main.cpp
     src/settings.cpp
     src/utility.cpp
+    src/proxy.cpp
     src/basicdownloader.cpp
     src/about.cpp
+    src/reportFinished.cpp
     src/themes.cpp
     src/batchdownloader.cpp
     src/tabmanager.cpp
@@ -100,40 +122,87 @@
     add_executable(media-downloader WIN32 ${SRC} ${MOC_FILES} ${UI_FILES} ${RESOURCES} ${APP_ICON_RESOURCE_WINDOWS})
     set_target_properties(media-downloader PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -pedantic")
 else()
-    add_executable(media-downloader ${SRC} ${MOC_FILES} ${UI_FILES} ${RESOURCES})
-    set_target_properties(media-downloader PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -fPIC -pedantic")
-endif()
-
-target_link_libraries(media-downloader Qt5::Widgets Qt5::Core Qt5::Network)
-
-install(TARGETS media-downloader RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
-
-install(FILES src/media-downloader.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
-install(FILES src/media-downloader.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/pixmaps)
+    if(APPLE)
+        set(icon "${CMAKE_CURRENT_SOURCE_DIR}/src/media-downloader.icns")
+        add_executable(MediaDownloader MACOSX_BUNDLE ${SRC} ${MOC_FILES} ${UI_FILES} ${RESOURCES} ${icon})
+        set_target_properties(MediaDownloader PROPERTIES MACOSX_BUNDLE ON)
+        set_target_properties(MediaDownloader PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -fPIC -pedantic")
+    else()
+        add_executable(media-downloader ${SRC} ${MOC_FILES} ${UI_FILES} ${RESOURCES})
+        set_target_properties(media-downloader PROPERTIES COMPILE_FLAGS "-Wextra -Wall -s -fPIC -pedantic")
+    endif()
+endif()
+
+if(BUILD_WITH_QT6)
+    if(WIN32)
+        target_link_libraries(media-downloader Advapi32.lib Dwmapi.lib Iphlpapi.lib Qt6::Widgets Qt6::Core Qt6::Network)
+    else()
+        if(APPLE)
+            target_link_libraries(MediaDownloader Qt6::Widgets Qt6::Core Qt6::Network)
+        else()
+            target_link_libraries(media-downloader Qt6::Widgets Qt6::Core Qt6::Network)
+        endif()
+    endif()
+else()
+    if(WIN32)
+        target_link_libraries(media-downloader Advapi32.lib Dwmapi.lib Iphlpapi.lib Qt5::Widgets Qt5::Core Qt5::Network)
+    else()
+        if(APPLE)
+             target_link_libraries(MediaDownloader Qt5::Widgets Qt5::Core Qt5::Network)
+        else()
+            target_link_libraries(media-downloader Qt5::Widgets Qt5::Core Qt5::Network)
+        endif()
+    endif()
+endif()
+
+if(APPLE)
+else()
+    if(BUILD_FLATPAK)
+        set_target_properties( media-downloader PROPERTIES OUTPUT_NAME io.github.mhogomchungu.media-downloader)
+        install(TARGETS media-downloader RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+        install(FILES src/flatpak/io.github.mhogomchungu.media-downloader.metainfo.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
+        install(FILES src/flatpak/io.github.mhogomchungu.media-downloader.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/512x512/apps)
+        install(FILES src/flatpak/io.github.mhogomchungu.media-downloader.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
+    else()
+        install(TARGETS media-downloader RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+        install(FILES src/media-downloader.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
+        install(FILES src/media-downloader.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/pixmaps)
+    endif()
+endif()
 
 install(DIRECTORY translations DESTINATION ${CMAKE_INSTALL_DATADIR}/media-downloader FILES_MATCHING PATTERN "*.qm")
 
 file(WRITE ${PROJECT_BINARY_DIR}/locale_path.h "\n#define TRANSLATION_PATH \"${CMAKE_INSTALL_FULL_DATADIR}/media-downloader/translations/\"\n")
+
+set( OutputBaseFilename "MediaDownloader-${PGR_VERSION}.setup" )
+
+if(OUTPUT_BASE_NAME)
+    set(OutputBaseFilename ${OUTPUT_BASE_NAME})
+endif()
+
+if(BUILD_WITH_QT6)
 
 file(WRITE ${PROJECT_BINARY_DIR}/version.h
 "
-#define VERSION \"${PGR_VERSION}\"
+#define VERSION \"${PGR_VERSION}.git_tag\"
+#define QTVERSION \"${Qt6Core_VERSION}\"
+#define COPYRIGHT \"${COPYRIGHT_YEARS}\"
+")
+
+else()
+file(WRITE ${PROJECT_BINARY_DIR}/version.h
+"
+#define VERSION \"${PGR_VERSION}.git_tag\"
 #define QTVERSION \"${Qt5Core_VERSION}\"
 #define COPYRIGHT \"${COPYRIGHT_YEARS}\"
 ")
-
-if(WIN32)
-    find_path(libstdc_PATH libstdc++-6.dll)
-    find_path(gcc_PATH gcc.exe)
-    find_path(windeployqt_PATH windeployqt.exe PATHS "${CMAKE_PREFIX_PATH}/bin")
-
-    file(WRITE ${PROJECT_BINARY_DIR}/media-downloader_installer_commands.txt
-"
-set PATH=${gcc_PATH};${libstdc_PATH};%PATH%\r\n
-${windeployqt_PATH}/windeployqt --release media-downloader.exe\r\n
-")
-
-file(WRITE ${PROJECT_BINARY_DIR}/media-downloader_windows_installer.iss
+endif()
+
+file(WRITE ${PROJECT_BINARY_DIR}/VERSION_INFO "${PGR_VERSION}")
+
+if(BUILD_WITH_QT6)
+
+file(WRITE ${PROJECT_BINARY_DIR}/media-downloader_windows_installer_Qt6.iss
 "
 ; Script generated by the Inno Setup Script Wizard.
 ; SEE THE DOCUMENTATION FOR DETAILS ON CREATING INNO SETUP SCRIPT FILES!
@@ -144,11 +213,11 @@
 #define MyAppURL             \"https://github.com/mhogomchungu/media-downloader\"
 #define MyAppExeName         \"media-downloader.exe\"
 #define MyAppCopyright       \"${COPYRIGHT_YEARS}, Francis Banyikwa\"
-#define MyLibrariesLocation  \"C:\\projects\\media-downloader.libraries.Qt-${Qt5Core_VERSION}\\\"
 #define MyEXELocation        \"${PROJECT_BINARY_DIR}\\media-downloader.exe\"
 #define MyBuildPath          \"${PROJECT_BINARY_DIR}\"
-#define MyOutPutPath         \"C:\\projects\\media-downloader.installer\\Qt-${Qt5Core_VERSION}\"
-#define MySourcesPath        \"C:\\projects\\media-downloader\\\"
+#define MyLibrariesLocation  \"${LIBRARIES_LOCATION}\"
+#define MyOutPutPath         \"${OUTPUT_PATH}\"
+#define MySourcesPath        \"${SOURCE_PATH}\"
 
 [Setup]
 AppId={{6DD595EF-ECA2-481B-B008-CB7302603A0D}
@@ -161,10 +230,10 @@
 AppSupportURL={#MyAppURL}
 AppUpdatesURL={#MyAppURL}
 VersionInfoDescription={#MyAppName} installer
-VersionInfoProductName={#MyAppName} {#MyAppVersion}
+VersionInfoProductName={#MyAppName}
 VersionInfoVersion={#MyAppVersion}.0
 UninstallDisplayName={#MyAppName}
-UninstallDisplayIcon={#MySourcesPath}\\src\\media-downloader.ico
+UninstallDisplayIcon={app}\\{#MyAppExeName}
 
 DefaultDirName={pf}\\{#MyAppName}
 LicenseFile={#MySourcesPath}\\LICENSE.txt
@@ -173,7 +242,7 @@
 Compression=lzma
 SolidCompression=yes
 DisableProgramGroupPage=yes
-OutputBaseFilename=MediaDownloader-${PGR_VERSION}.setup
+OutputBaseFilename=${OutputBaseFilename}
 
 [Tasks]
 Name: \"desktopicon\"; Description: \"{cm:CreateDesktopIcon}\"; GroupDescription: \"{cm:AdditionalIcons}\"; Flags: unchecked
@@ -183,11 +252,13 @@
 Source: {#MyEXELocation}; DestDir: {app}; Flags: ignoreversion
 Source: {#MyLibrariesLocation}\\*.dll; DestDir: {app} ; Flags: ignoreversion
 Source: {#MySourcesPath}\\LICENSE.txt; DestDir: {app}; Flags: ignoreversion
-Source: {#MyLibrariesLocation}\\bearer\\* ; DestDir: {app}\\bearer; Flags: ignoreversion
 Source: {#MyLibrariesLocation}\\iconengines\\* ; DestDir: {app}\\iconengines; Flags: ignoreversion
 Source: {#MyLibrariesLocation}\\imageformats\\*; DestDir: {app}\\imageformats; Flags: ignoreversion
 Source: {#MyLibrariesLocation}\\styles\\*; DestDir: {app}\\styles; Flags: ignoreversion
 Source: {#MyLibrariesLocation}\\platforms\\*; DestDir: {app}\\platforms; Flags: ignoreversion
+Source: {#MyLibrariesLocation}\\generic\\*; DestDir: {app}\\generic; Flags: ignoreversion
+Source: {#MyLibrariesLocation}\\tls\\*; DestDir: {app}\\tls; Flags: ignoreversion
+Source: {#MyLibrariesLocation}\\networkinformation\\*; DestDir: {app}\\networkinformation; Flags: ignoreversion
 Source: {#MyLibrariesLocation}\\3rdParty\\*; DestDir: {app}\\3rdParty; Flags: ignoreversion recursesubdirs
 Source: {#MySourcesPath}\\translations\\*; DestDir: {app}\\translations; Flags: ignoreversion
 Source: {#MySourcesPath}\\src\\media-downloader.ico; DestDir: {app}\\icons; Flags: ignoreversion
@@ -220,11 +291,3 @@
 Name: \"norwegian\"           ; MessagesFile: \"compiler:Languages\\Norwegian.isl\"
 Name: \"polish\"              ; MessagesFile: \"compiler:Languages\\Polish.isl\"
 Name: \"portuguese\"          ; MessagesFile: \"compiler:Languages\\Portuguese.isl\"
-Name: \"russian\"             ; MessagesFile: \"compiler:Languages\\Russian.isl\"
-Name: \"slovenian\"           ; MessagesFile: \"compiler:Languages\\Slovenian.isl\"
-Name: \"spanish\"             ; MessagesFile: \"compiler:Languages\\Spanish.isl\"
-Name: \"turkish\"             ; MessagesFile: \"compiler:Languages\\Turkish.isl\"
-Name: \"ukrainian\"           ; MessagesFile: \"compiler:Languages\\Ukrainian.isl\"
-")
-
-endif()
