=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/mhogomchungu/media-downloader
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qtbase5-dev, quilt
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qtbase5-dev,
+ quilt
 
 Package: media-downloader
 Architecture: any
