## media-downloader-dmo 5.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-set( PGR_VERSION "5.4.2" )
+set( PGR_VERSION "5.4.3" )
 set( COPYRIGHT_YEARS "2021-2025" )
 
 INCLUDE(GNUInstallDirs)
