=== debian/changelog ===
media-downloader-dmo (1:5.4.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 01 Oct 2025 16:47:11 +0200
