## media-downloader-dmo 5.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-set( PGR_VERSION "5.4.3" )
+set( PGR_VERSION "5.4.4" )
 set( COPYRIGHT_YEARS "2021-2025" )
 
 INCLUDE(GNUInstallDirs)
@@ -113,7 +113,9 @@
     src/engines/wget.cpp
     src/engines/svtplay-dl.cpp
     src/engines/you-get.cpp
-    src/engines/gallery-dl.cpp)
+    src/engines/getsauce.cpp
+    src/engines/gallery-dl.cpp
+    src/engines/deno.cpp)
 
 set(RESOURCES src/icon.qrc )
 
@@ -290,4 +292,3 @@
 Name: \"japanese\"            ; MessagesFile: \"compiler:Languages\\Japanese.isl\"
 Name: \"norwegian\"           ; MessagesFile: \"compiler:Languages\\Norwegian.isl\"
 Name: \"polish\"              ; MessagesFile: \"compiler:Languages\\Polish.isl\"
-Name: \"portuguese\"          ; MessagesFile: \"compiler:Languages\\Portuguese.isl\"
