=== debian/changelog ===
media-downloader-dmo (1:5.4.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Nov 2025 09:05:22 +0100
