## media-downloader-dmo 5.4.5

=== debian/changelog ===
media-downloader-dmo (1:5.4.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 15 Nov 2025 14:14:31 +0100
