## media-downloader-dmo 5.4.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-set( PGR_VERSION "5.4.4" )
+set( PGR_VERSION "5.4.6" )
 set( COPYRIGHT_YEARS "2021-2025" )
 
 INCLUDE(GNUInstallDirs)
@@ -115,6 +115,7 @@
     src/engines/you-get.cpp
     src/engines/getsauce.cpp
     src/engines/gallery-dl.cpp
+    src/engines/quickjs.cpp
     src/engines/deno.cpp)
 
 set(RESOURCES src/icon.qrc )
