=== debian/changelog ===
media-downloader-dmo (1:5.4.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 17 Nov 2025 14:42:27 +0100
