## media-downloader-dmo 5.4.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,8 +14,8 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-set( PGR_VERSION "5.4.6" )
-set( COPYRIGHT_YEARS "2021-2025" )
+set( PGR_VERSION "5.4.7" )
+set( COPYRIGHT_YEARS "2021-2026" )
 
 INCLUDE(GNUInstallDirs)
