=== debian/changelog ===
media-downloader-dmo (1:5.4.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 13 Jan 2026 08:39:10 +0100
