=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: media-downloader-dmo
 Section: video
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/mhogomchungu/media-downloader
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qtbase5-dev,
  quilt
