## media-downloader-dmo 5.4.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-set( PGR_VERSION "5.4.7" )
+set( PGR_VERSION "5.4.8" )
 set( COPYRIGHT_YEARS "2021-2026" )
 
 INCLUDE(GNUInstallDirs)
