=== debian/changelog ===
media-downloader-dmo (1:5.4.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Jan 2026 23:40:46 +0100
